Page MenuHomePhabricator

Setup a codereview hour for non american people
Closed, ResolvedPublic

Description

Current situation: The Code review hour is at 20:00 UTC (22 CEST), which allows not all people to take part. We have for example the train some hours before, and it is too late for some non american people (or to early). Finding a friendly time window for those people would solve this problem. So please tell us, at which time you are able to take part, so that we can find a good window for the majority, that we can create a second window.

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 26 2016, 11:11 PM
Luke081515 triaged this task as Normal priority.May 26 2016, 11:12 PM
Krenair renamed this task from Setup a codereview hour for non amrican people to Setup a codereview hour for non american people.May 26 2016, 11:14 PM

Maybe hold two code review hours a day like SWAT does. So maybe 2-4pm (utc) and 8-10pm utc. Would give many users more chances of joining.

Maybe hold two code review hours a day like SWAT does. So maybe 2-4pm (utc) and 8-10pm utc. Would give many users more chances of joining.

+1

Yep, I'm for two hours too, but I think one hour is enough? Or should we try two, and take a look, how it works? so your proposal is 14-16 UTC (16-18 CEST)? If people are able to join at this time, a second hour there would make sense. But at which day? I think to we should not set both hours to thursday.

Luke081515 moved this task from INBOX to Next on the Release-Engineering-Team board.
Luke081515 moved this task from To Triage to Team radar on the Team-Practices board.
Luke081515 moved this task from Next to In-progress on the Release-Engineering-Team board.

Yep, I'm for two hours too, but I think one hour is enough? Or should we try two, and take a look, how it works? so your proposal is 14-16 UTC (16-18 CEST)? If people are able to join at this time, a second hour there would make sense. But at which day? I think to we should not set both hours to thursday.

We could do it on Tuesday and Thursday so Tuesday 2-4pm and Thursday 8-10pm utc.

But we can do it these times since anyone can come and leave.

We could do it on Tuesday and Thursday so Tuesday 2-4pm and Thursday 8-10pm utc.
But we can do it these times since anyone can come and leave.

This sounds good to me, though I will probably only be able to attend one day per week.

phuedx added a subscriber: phuedx.May 27 2016, 7:37 AM

This sounds good to me, though I will probably only be able to attend one day per week.

Same. But I'd rather be able to attend consistently than not, which is the case at the moment.

14.00-16.00 UTC is still quite late. During the DST only one hour of it overlaps with my usual working hours. Not to mention the timezones ahead of mine.

Also, having a code review hour close to the MediaWiki train branching on Tuesdays is perhaps not a good idea with regards to stability.

Any updates on the plans? It's been about one month since code review office hours started.

When I discussed the ideal timetable with Nikerabbit, in regard to
some stability in summer/winter timezones, I woud recommend
13:00-14:00 UTC.

@mmodell will 8-9pm continue too please.

I woud recommend 13:00-14:00 UTC.

You encoded 11:00-12:00 UTC, which would be 13:00-14:00 CEST

UTC is the standard timezone, without any conversion needed.

mmodell closed this task as Resolved.Jun 8 2016, 2:07 AM
mmodell claimed this task.